Summary:	The guacamole daemon
Name:		guacd
Version:	0.6.1
Release:	3.1
License:	MPLv1.1 or GPLv2 or LGPLv2.1
Group:		System Environment/Daemons
BuildRequires:	libguac3-devel
Requires:	libguac3
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# Set up initdir
%if 0%{?_initddir:1}
    %define INITDIR %{_initddir}
%else
    %define INITDIR "/etc/init.d"
%endif

%description
This is the core guacamole library on which guacd and all client plugins depend.

%prep
%setup

%build
%configure --with-init-dir=%{INITDIR}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
/etc/init.d/guacd
%{_sbindir}/guacd
%{_mandir}/man8/guacd.8*

%post
/sbin/chkconfig --add guacd || :

%preun
if [ "$1" -eq "0" ]
then
    /sbin/service guacd stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del guacd || :
fi

%postun
if [ "$1" -ge "1" ]
then
    /sbin/service guacd try-restart || :
fi

%changelog
* Sat Sep 29 2012 cs@linux-administrator.com
- initial package
